#!/usr/bin/env python
# encoding: utf-8
from __future__ import absolute_import, division, print_function, unicode_literals

import socket
from flipper.stores import create_store

class Flipper(object):
    def __init__(self, module, dsn="file://flipper.cfg", **kwds):
        self._module = module
        self._app_name = module.split('.', 1)[0]
        self._fqdn = socket.getfqdn()
        self._dsn = dsn
        self._store = create_store(module, dsn, **kwds)


    def active(self, feature_name):
        return self._store.raw_values(self._app_name, self._fqdn)[feature_name]